How to bind Frameworks linked against Swift 4 libraries?

Hello. I distribute a framework that is built on Swift + ObjC and, naturally, links with Swift libraries. With iOS 10 and Swift 3 I used the Xamarin.Swift3 packages (from Flash3001) but that no longer works with iOS 11 and Swift 4. How do I link and package Swift 4 libraries?

Answers

  • QwinQwin USUniversity ✭✭

    Same issue here :(

  • sandovssandovs BRMember

    Hi! Answering my own question, a few hours after I posted this, Flash3001 posted an update with Swift4 libraries in Xamarin.Swift4.* packages. Check it out on nuget.org.

    That solved the issue for me: reading each crash log, figuring out what swift library was missing and adding the respective package.

Sign In or Register to comment.